Get a single asset valuation
GET
/portfolio/asset-valuation/{assetValuation}Returns the full details of a single valuation record, including the computed unit count and total value at the valuation date.
Path parameters
The asset valuation ID
Responses
{
"data": {
"id": 1,
"asset_id": 1,
"asset_reference": "string",
"investor": {
"id": 1,
"client_reference": "string",
"name": "string",
"guid": "string",
"email": "string",
"source": "string",
"source_id": "string",
"created_at": "2026-06-12T10:00:00+00:00",
"updated_at": "2026-06-12T10:00:00+00:00",
"deleted_at": "2026-06-12T10:00:00+00:00",
"title": "string",
"forename": "string",
"surname": "string"
},
"value": "string",
"formatted_value": "string",
"date": "string",
"currency": "string",
"description": "string",
"creation_type": "string",
"units": "string",
"total_value": "string"
}
}404
Not found
Examples
curl https://your-org-domain/kong/core/api/v2/portfolio/asset-valuation/{assetValuation}\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"